/*****************************************************************************
    Ethernet packet sniffer - GreedyDog2

    Developed by Shadow Penguin Security Resarch Group
     http://www.shadowpenguin.org
     UNYUN <unyun@shadowpenguin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    Thanks : 4lj <4lj@flow.le.to> implements "tmpfile hold" mode

 *****************************************************************************/

#ifndef __PARAM_H__
#define __PARAM_H__

#define DEBUG_FLAG

/* Internal (fixed) value */
#define S_DEBUG 
#define MAXLEN_IPADDR       32              /* Maxlen of IP address */
#define MAXNUM_PORT         256             /* Maxnum of port */
#define MAXLEN_NITDEV       128             /* Maxlen of nit_dev */
#define MAXLEN_NICNAME      128             /* Maxlen of nic_name */
#define MAXLEN_ACTION       4096            /* Maxlen of action */

/* Default (user modifiable) value */
#define DFL_SOURCEIP        "0.0.0.0/0"     /* Src IP address */
#define DFL_DESTIP          "0.0.0.0/0"     /* Dst IP address */
#define DFL_TEMPHOLD        0               /* Hold temporary log */

/* Banner String */
#define GDD_BANNER      "Ethernet Packet Sniffer - GreedyDog %s\n"\
                        "Developed by Shadow Penguin Security\n"\
                        "http://www.shadowpenguin.org\n"

#endif
